language: cn
model_unique_abbr: near_dist
version: 1.0
identification:
  docker_image_name: r-spatialreg:1.1
  docker_run_prefix:
  - /scripts/near_dist.r
  model_name: 最近距离计算
  semantic: exploratory data analysis
  description: 计算输入数据与所有邻近要素之间的最邻近的距离。
  category_application: 描述型
  category_data:
  - 矢量点
  - 矢量面
  keywords:
  - 距离计算
parameter_info:
  parameters:
  - arg_name: d
    param_type: input_data
    name: 输入矢量数据
    description: 用来计算的矢量数据
    data_type: shp
    #data_semantic: vector space data
    data_semantic: neardist vector space data
  - arg_name: t
    param_type: input_data
    name: 目标矢量数据
    description: 目标的矢量数据
    data_type: shp
    #data_semantic: vector space data
    data_semantic: csv2shp-neardist
  - arg_name: i
    param_type: param
    name: 保留的id变量
    description: 输出时在输入数据中保留的变量属性
    is_required: false
    data_type: str
    data_semantic: id property
  - arg_name: o
    param_type: output_data
    name: 结果数据
    description: 输出的计算结果csv
    data_type: csv
    #data_semantic: result data
    data_semantic: neardist-join
    #specification:
    #  default: csv
    #  enum:
    #  - csv
application:
  domain: 点距离计算
  objective: 确定一个事物与另一个事物之间的距离，计算了两点之间的直线距离或欧氏距离。
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 计算所有输入数据与所有邻近要素之间的距离。在距离矩阵中选取最小值，获得最邻近的点距离。
operation:
  usage: 模型参数包括必选参数输入数据、目标数据、输出数据，可选参数为保留的id变量属性名。
  exec_example:
  - "docker run -v $PWD:/data r-spatialreg:1.0 /data/scripts/near_dist.r -d /data/data/datap.shp -t /data/data/targetp.shp -i x1 -o /data/data/re.csv"
  output_display:
  - 无
  license:
  - GPL-2
  - GPL-3
technique:
  language:
  - R
  - C++
  os:
  - Linux
  - Windows
  parallel:
  - unsupported
  hardware: []
  dependencies: []
source:
  maintainer: Guangyu Ou
  organization: Wuhan University
  contact: g_ruoyu@qq.com
  repository: https://github.com/GWmodel-Lab
  integrated_softwares: []
  references: []
